/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * Model136
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model136 {
  @SerializedName("value")
  private BigDecimal value = null;

  @SerializedName("currency")
  private String currency = null;

  public Model136 value(BigDecimal value) {
    this.value = value;
    return this;
  }

   /**
   * Amount, numeric, with 2 or 3 decimals (greater than 0)
   * @return value
  **/
  @ApiModelProperty(example = "150.0", required = true, value = "Amount, numeric, with 2 or 3 decimals (greater than 0)")
  public BigDecimal getValue() {
    return value;
  }

  public void setValue(BigDecimal value) {
    this.value = value;
  }

  public Model136 currency(String currency) {
    this.currency = currency;
    return this;
  }

   /**
   * Currency of the amount - ISO 4217 format (3 letter code)
   * @return currency
  **/
  @ApiModelProperty(example = "EUR", required = true, value = "Currency of the amount - ISO 4217 format (3 letter code)")
  public String getCurrency() {
    return currency;
  }

  public void setCurrency(String currency) {
    this.currency = currency;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model136 model136 = (Model136) o;
    return Objects.equals(this.value, model136.value) &&
        Objects.equals(this.currency, model136.currency);
  }

  @Override
  public int hashCode() {
    return Objects.hash(value, currency);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model136 {\n");
    
    sb.append("    value: ").append(toIndentedString(value)).append("\n");
    sb.append("    currency: ").append(toIndentedString(currency)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

